Subject: linux-next: manual merge of the nfsd tree with the nfsd-fixes tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 15 Aug 2023 11:06:27 +1000

Hi all,

Today's linux-next merge of the nfsd tree got a conflict in:

  net/sunrpc/svcsock.c

between commit:

  c96e2a695e00 ("sunrpc: set the bv_offset of first bvec in svc_tcp_sendmsg")

from the nfsd-fixes tree and commit:

  62c25ceb29a6 ("SUNRPC: Convert svc_tcp_sendmsg to use bio_vecs directly")

from the nfsd tree.

I fixed it up (I just used the latter) and can carry the fix as
necessary. This is now fixed as far as linux-next is concerned, but any
non trivial conflicts should be mentioned to your upstream maintainer
when your tree is submitted for merging.  You may also want to consider
cooperating with the maintainer of the conflicting tree to minimise any
particularly complex conflicts.

-- 
Cheers,
Stephen Rothwell